Bug 11841 - a2ps upgrade fails, leaves config files in the wrong place
Summary: a2ps upgrade fails, leaves config files in the wrong place
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: a2ps (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-02 02:51 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-19 21:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2000-06-02 02:51:02 UTC
Here's what I saw when I tried to upgrade a2ps-4.12-7 to a2ps-4.13-1:

	warning: /etc/a2ps-site.cfg created as /etc/a2ps-site.cfg.rpmnew
	Looking for the afm files read by a2ps...
	a2ps: cannot open file `/usr/etc/a2ps.cfg': No such file or directory
	a2ps: cannot find file `level1.ppd': No such file or directory
	Extracting font names...
	Sorting entries...
	sort: fonts.map.new: No such file or directory
	execution of script failed

Afterwards, "rpm -q a2ps" shows that both 4.12-7 and 4.13-1 are supposedly
installed.  Furthermore, it appears that the upgrade created configuration
files in /etc even though a2ps is now expecting to find them in /usr/etc. 
I had to copy my config files from /etc to /usr/etc to get a2ps 4.13-1 to
work.

Comment 1 Tim Powers 2000-06-19 21:25:42 UTC
This should be fixed now. We switched to %conlfigure in the spec file and
--sysconfir=/etc wasn't defined by RPM at the time. It should be fixed in 4.13-4
now.

Tim


Note You need to log in before you can comment on or make changes to this bug.